Update Defined Entity Type

Update Defined Entity Type
Updates the entity type with the unique identifier (URN)

Updates the entity type with the unique identifier (URN)

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}
COPY
Path Parameters
string
id
Required

id


Request Body
DefinedEntityType of type(s) application/json
Optional

Show optional properties

{
    "name": "vspheresddc",
    "nss": "sddc",
    "version": "1.1.0",
    "schema": {},
    "vendor": "vmware"
}
{
    "id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
    "name": "vspheresddc",
    "description": "string",
    "nss": "sddc",
    "version": "1.1.0",
    "inheritedVersion": "1.0.0",
    "externalId": "123",
    "schema": {
        "application/json": {
            "type": "object",
            "properties": {
                "width": {
                    "type": "number",
                    "minimum": 0
                },
                "height": {
                    "type": "number",
                    "minimum": 0
                }
            }
        }
    },
    "vendor": "vmware",
    "interfaces": [
        "urn:vcloud:interface:vmware.sddc:1.0.0"
    ],
    "hooks": {
        "hooks": {}
    },
    "readonly": false,
    "maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns DefinedEntityType of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
    "name": "vspheresddc",
    "description": "string",
    "nss": "sddc",
    "version": "1.1.0",
    "inheritedVersion": "1.0.0",
    "externalId": "123",
    "schema": {
        "application/json": {
            "type": "object",
            "properties": {
                "width": {
                    "type": "number",
                    "minimum": 0
                },
                "height": {
                    "type": "number",
                    "minimum": 0
                }
            }
        }
    },
    "vendor": "vmware",
    "interfaces": [
        "urn:vcloud:interface:vmware.sddc:1.0.0"
    ],
    "hooks": {
        "hooks": {}
    },
    "readonly": false,
    "maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","nss":"string","schema":"object","vendor":"string","version":"string"}' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}